Bug 861755 - X fails to start or display after reboot on ATI FirePro V4800
X fails to start or display after reboot on ATI FirePro V4800
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 09:51 EDT by Adam Joseph Cook
Modified: 2014-09-13 14:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-18 04:32:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output with 'drm.debug=14' kernel parameter set (141.92 KB, text/plain)
2012-09-30 09:51 EDT, Adam Joseph Cook
no flags Details
Xorg.0.log (47.67 KB, text/plain)
2012-09-30 09:52 EDT, Adam Joseph Cook
no flags Details
Picture of blank screen after reboot, cursor displays correctly (179.14 KB, image/jpeg)
2012-09-30 09:55 EDT, Adam Joseph Cook
no flags Details
All Xorg.*.log files directly after failing to display GDM login (30.00 KB, application/x-gzip)
2012-09-30 10:55 EDT, Adam Joseph Cook
no flags Details
All /var/log/gdm logs directly after failing to display GDM login (60.00 KB, application/x-gzip)
2012-09-30 10:56 EDT, Adam Joseph Cook
no flags Details

  None (edit)
Description Adam Joseph Cook 2012-09-30 09:51:44 EDT
Created attachment 619431 [details]
Dmesg output with 'drm.debug=14' kernel parameter set

Description of problem:
This bug was filed for the Fedora 18 Alpha Radeon Test Day.

Upon rebooting the system, X fails to start or does not display the GDM login screen in Fedora 18. This system has all the latest updates. It was thought, for a time, that the length of uptime of the system before attempting to reboot impacted the result, but this is apparently not true as restarts of the system immediately after bootup results in the same issue.

Please see the picture attached to this report. The mouse cursor actually displays and is able to be moved around the screen, but the rest of the screen is blank with the GDM login never appearing.

This issue is not present when the computer is powered down entirely. In one instance, it was required to wait about 5 minutes after the system was completely powered down to boot up with a working X and display. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64
gdm-3.6.0-1.fc18.x86_64

How reproducible:
Always on reboot.

Steps to Reproduce:
1. Start up the system from an 'off' state.
2. Wait for the GDM login screen to appear. 
3. When it appears, reboot (not shutdown) the system.
4. Upon reboot, only the mouse cursor shows up and the GDM login screen never appears.
  
Actual results:
X fails to start or display a screen

Expected results:
X starts properly and displays the GDM on reboot


Additional info:
I was having a very similar issue with this effect during the Fedora 18 Nouveau test day, although, for that bug (using NVIDIA graphics) the issue was more sporadic - X sometimes worked on reboot and sometimes not. Here, with the ATI, it seemingly never works on reboot. The bug I filed is here:

https://bugzilla.redhat.com/show_bug.cgi?id=861646

Smolt profile:
http://www.smolts.org/client/show/pub_93c84bef-cc7a-4308-b3d6-42916961926b
Comment 1 Adam Joseph Cook 2012-09-30 09:52:19 EDT
Created attachment 619432 [details]
Xorg.0.log
Comment 2 Adam Joseph Cook 2012-09-30 09:55:17 EDT
Created attachment 619442 [details]
Picture of blank screen after reboot, cursor displays correctly
Comment 3 Adam Joseph Cook 2012-09-30 10:53:59 EDT
Attempted to perform a reboot/restart this morning and the issue persists. The issue also presented itself twice during the bootup from a completely shutdown state. All Xorg.*.log and /var/log/gdm logs attached as of now.

When the display does not come up after reboot, exiting to the shell and issuing a 'systemctl stop display-manager.service' and then a 'systemctl start display-manager.service' allows the GDM login screen to appear. It takes some time after starting the service, but it does appear. X seems very sluggish though after performing this procedure.
Comment 4 Adam Joseph Cook 2012-09-30 10:55:00 EDT
Created attachment 619447 [details]
All Xorg.*.log files directly after failing to display GDM login
Comment 5 Adam Joseph Cook 2012-09-30 10:56:12 EDT
Created attachment 619448 [details]
All /var/log/gdm logs directly after failing to display GDM login
Comment 6 Adam Joseph Cook 2012-09-30 20:56:58 EDT
After some additional tests this afternoon and this evening, it appears the GDM login screen does eventually appear from the state shown in https://bugzilla.redhat.com/attachment.cgi?id=619442, however, it typically takes 3 to 4 minutes from a blank screen to the login screen. Very rarely, the system immediately displays the login screen at startup. The usual case is the 3 to 4 minutes.

I think that this must be the behavior of the ATI driver (or at least NOT gnome-shell) since my NVIDIA system with exactly the same updates applied does not exhibit this behavior. However, that is just a guess at this point.
Comment 7 Adam Joseph Cook 2012-10-04 22:17:40 EDT
The delay before X displays the GDM login screen and the GNOME 3 Activities panel seems to be substantially less with today's Fedora 18 updates. I will keep testing.
Comment 8 Rob K 2012-11-15 20:20:59 EST
This sounds like the issue I'm having - https://bugzilla.redhat.com/show_bug.cgi?id=875557. Seems to be an ATI driver issue. There also seems to be some confluence with a GDM bug that is apparently resolved in 3.6.2; sorry I don't have the bug number for that to hand.
Comment 9 Martin 2013-06-11 11:46:33 EDT
Adam, are you able to reproduce it on latest Fedora 18 or 19?
Comment 10 Fedora End Of Life 2013-12-21 03:59:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Michal Domonkos 2014-06-18 04:32:48 EDT
I cannot reproduce on the very same card with F21 rawhide or RHEL7; GDM displays immediately every time after a reboot.  Closing now.

Note You need to log in before you can comment on or make changes to this bug.